/*
 * CompiledFilter.java
 *
 * Created on 22 May 2008, 09:52
 *
 * Copyright (c) Esmond Pitt, 2008. All rights reserved.
 */

package net.sourceforge.jpcap.capture;

/**
 * The CompiledFilter class encapsulates a compiled packet filter expression.
 *
 * @see PacketCapture#compileFilter
 * @see JWinPcap#isFilteredOffline
 * @author Esmond Pitt
 * @version $Revision: 1.1 $
 * @since 2.0.0
 */
public abstract class CompiledFilter
{
	protected void	finalize() throws Throwable
	{
		super.finalize();
	}
	
	/**
	 * @return the filter expression from which this was compiled.
	 */
	public abstract String	getExpression();
	
	/**
	 * @return true iff the expression was optimized when compiled.
	 */
	public abstract boolean	isOptimized();
	
	abstract long	getHandle();
	
	public String	toString()
	{
		return "CompiledFilter: "+getExpression()+(isOptimized() ? "(optimized)" : "");
	}
}
