// $Id: PacketListener.java,v 1.2 2008/08/18 05:34:36 esmondpitt Exp $

/***************************************************************************
 * Copyright (C) 2001, Patrick Charles and Jonas Lehmann                   *
 * Copyright (C) 2008, Esmond Pitt						                   *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.capture;

import java.util.EventListener;
import net.sourceforge.jpcap.net.Packet;


/**
 * Packet data listener.
 * <p>
 * Applications interested in listening for packets must register
 * with PacketCapture and implement PacketListener.
 *
 * @author Patrick Charles and Jonas Lehmann
 * @author Esmond Pitt
 * @version $Revision: 1.2 $
 * @lastModifiedBy $Author: esmondpitt $
 * @lastModifiedAt $Date: 2008/08/18 05:34:36 $
 */
public interface PacketListener extends EventListener
{
	/**
	 * Callback, called when {@link PacketCapture#capture} captures a packet.
	 *
	 * @param packet Packet that has been captured.
	 * @see net.sourceforge.jpcap.net.Packet#clone
	 */
  void packetArrived(Packet packet);
}
