// $Id: IGMPMessage.java,v 1.2 2008/08/18 05:34:37 esmondpitt Exp $

/***************************************************************************
 * Copyright (C) 2001, Patrick Charles and Jonas Lehmann                   *
 * Copyright (C) 2008, Esmond Pitt                                         *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.net;

import java.util.HashMap;


/**
 * IGMP message utility class.
 *
 * @author Patrick Charles and Jonas Lehmann
 * @author Esmond Pitt
 * @version $Revision: 1.2 $
 * @lastModifiedBy $Author: esmondpitt $
 * @lastModifiedAt $Date: 2008/08/18 05:34:37 $
 */
public class IGMPMessage implements IGMPMessages
{
  /**
   * Fetch an IGMP message.
   * @param code the code associated with the message.
   * @return a message describing the significance of the IGMP code.
   */
  public static String getDescription(int code) {
	  String	description = messages.get(code);
	  if (description != null)
		  return description;
      return "unknown";
  }

  /**
   * 'Human-readable' IGMP messages.
   */
  private static HashMap<Integer, String> messages = new HashMap<Integer, String>();
  static {
    messages.put(LEAVE, "leave group");
    messages.put(V1_REPORT, "v1 membership report");
    messages.put(V2_REPORT, "v2 membership report");
    messages.put(QUERY, "membership query");
    messages.put(V3_REPORT, "v3 membership report");
  }


  private static final String _rcsid = 
    "$Id: IGMPMessage.java,v 1.2 2008/08/18 05:34:37 esmondpitt Exp $";
}

