// $Id: IGMPMessages.java,v 1.2 2008/08/18 05:34:37 esmondpitt Exp $

/***************************************************************************
 * Copyright (C) 2001, Patrick Charles and Jonas Lehmann                   *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.net;


/**
 * Code constants for IGMP message types.
 *
 * From RFC #2236.
 *
 * @author Patrick Charles and Jonas Lehmann
 * @version $Revision: 1.2 $
 * @lastModifiedBy $Author: esmondpitt $
 * @lastModifiedAt $Date: 2008/08/18 05:34:37 $
 */
public interface IGMPMessages
{
  /**
   * Membership Query.
   */
  int QUERY = 0x11;

  /**
   * Version 1 Membership Report.
   */
  int V1_REPORT = 0x12;

  /**
   * Version 2 Membership Report.
   */
  int V2_REPORT = 0x16;

  /**
   * Leave group.
   */
  int LEAVE = 0x17;
  
  /**
   * Version 3 Membership Report.
   * @since 2.0.0
   */
  int V3_REPORT = 0x22;
}
