package net.sourceforge.jpcap.util;

import java.util.HashMap;

import net.sourceforge.jpcap.net.TCPPacket;

public class PacketStreams extends HashMap<String, TCPSession[]> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	                  
	public void  add( TCPPacket e) {
		TCPSession[] tcpSessions = null;
		String key= (e.getSourcePort() + e.getDestinationPort()) + "" + (e.getSourceAddressAsLong() + e.getDestinationAddressAsLong());
	//	System.out.println("KEY : " + key);
		if ((tcpSessions = get(key)) == null) { // No previous session
			put(key, new TCPSession[]{new TCPSession(e)});
		} else {
			if(tcpSessions.length > 1) {
				System.out.println("This is the condition we want to avoid");
				System.exit(-1);
			}
			// Ok we have a session.  It might not be the same session but the source and destination ports add up to a value we already know about.
			boolean add = false;
			for (TCPSession tcpSession : tcpSessions) {
				if (tcpSession.add(e)) // We are assuming that the TCPSession class will reject packets that don't belong to it's session.
					add=true;
			}
			if (!add) // Ok so it's a new session.  Only would happen with a pcap created for testing purposes.
				put(key, new TCPSession[]{new TCPSession(e)});  // This is just wrong as we are overwriting the previous Session object.
		}
	}
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub

	}

}